- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moEasyCoolSched Class Reference

One of the possible moCoolSched. More...

`#include <moEasyCoolSched.h>`

Inheritance diagram for moEasyCoolSched:

List of all members.

## Public Member Functions
| moEasyCoolSched (double __threshold, double __ratio)
| Simple constructor.
bool | operator() (double &__temp)
| Function which proceeds to the cooling.
## Private Attributes
double | threshold
| The temperature threhold.
double | ratio
| The decreasing factor of the temperature.

## Detailed Description

One of the possible moCoolSched.

The simpliest, the temperature decrease according to a ratio until it greater than a threshold.

Definition at line 22 of file moEasyCoolSched.h.

## Constructor & Destructor Documentation

moEasyCoolSched::moEasyCoolSched | ( | double | __threshold,
|  | double | __ratio |
| ) |  |  | `[inline]`

Simple constructor.

Parameters:

  | __threshold | the threshold.
  | __ratio | the ratio used to descrease the temperature.

Definition at line 31 of file moEasyCoolSched.h.

## Member Function Documentation

bool moEasyCoolSched::operator() | ( | double & | __temp | ) | `[inline]`

Function which proceeds to the cooling.

Decrease the temperature and indicates if it is greater than the threshold.

Parameters:

  | __temp | the current temperature.

Returns:
  if the new temperature (current temperature * ratio) is greater than the threshold.

Definition at line 44 of file moEasyCoolSched.h.

References ratio, and threshold.

The documentation for this class was generated from the following file:

- moEasyCoolSched.h